curl --request POST \
--url https://api.staging.payrails.io/payment/providers/{providerId}/configs/{providerConfigId}/onboarding-url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-idempotency-key: <x-idempotency-key>' \
--data '
{
"returnUrl": "https://merchant.example.com/connector/callback"
}
'import requests
url = "https://api.staging.payrails.io/payment/providers/{providerId}/configs/{providerConfigId}/onboarding-url"
payload = { "returnUrl": "https://merchant.example.com/connector/callback" }
headers = {
"x-idempotency-key": "<x-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-idempotency-key': '<x-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({returnUrl: 'https://merchant.example.com/connector/callback'})
};
fetch('https://api.staging.payrails.io/payment/providers/{providerId}/configs/{providerConfigId}/onboarding-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "https://connect.stripe.com/oauth/authorize?state=test"
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.malformed",
"detail": "The request has malformed syntax",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestmalformed"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.unauthorized",
"detail": "The request lacks necessary credentials to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestunauthorized"
}
]
}{
"errors": [
{
"id": "e7db22b3-914e-4975-928e-9edfb0885bea",
"code": "request.forbidden",
"detail": "The request credentials lack the required permissions to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestforbidden"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.not-found",
"detail": "The requested resource was not found",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestnot-found"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.rate-limit",
"detail": "Too many requests",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestrate-limit"
}
]
}Create a provider config onboarding URL
Build a redirect onboarding URL for a provider config. If the provider config does not exist yet, use the same provider config ID later when creating the authenticated provider config.
Authorizations
You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>.
These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.
Headers
Idempotency key to be used. Sending again the same key would return the same result without re-executing the update.
Path Parameters
Identifier of the resource in Payrails.
Identifier of the resource in Payrails.
Body
URL the provider should redirect the user back to after the onboarding flow completes.
Response
Success.
Generated onboarding URL for the provider.
Authentication mode used for provider onboarding.
none, oauth, trackingId Provider onboarding credentials returned by the authentication flow.
Hide child attributes
Hide child attributes
Signed onboarding state returned from the provider onboarding redirect. Required for the oauth and trackingId authentication modes; must be empty for none.
Authorization code returned from the provider onboarding redirect. Used only for the oauth authentication mode; must be empty for none and trackingId.